org.richfaces.component

## Class UIDataAdaptor.ComponentVisitor

- java.lang.Object
- - org.richfaces.component.UIDataAdaptor.ComponentVisitor

- All Implemented Interfaces:
    DataVisitor
  Enclosing class:
    UIDataAdaptor

      protected abstract class UIDataAdaptor.ComponentVisitor
      extends Object
      implements DataVisitor

  Base class for visit data model at phases decode, validation and update model
  Author:
    shura

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ComponentVisitor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataVisitResult` | `process(javax.faces.context.FacesContext context, Object rowKey, Object argument)` This method called back ( as visitor ) from `ExtendedDataModel.walk(FacesContext, DataVisitor, Range, Object)` for each row.
    `abstract void` | `processComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent c, Object argument)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentVisitor

          protected ComponentVisitor()

  - ### Method Detail

    - #### process

          public DataVisitResult process(javax.faces.context.FacesContext context,
                                         Object rowKey,
                                         Object argument)

      Description copied from interface: `DataVisitor`
      This method called back ( as visitor ) from `ExtendedDataModel.walk(FacesContext, DataVisitor, Range, Object)` for each row.
      Specified by:
        `process` in interface `DataVisitor`
      Parameters:
        `context` - current JSF context.
        `rowKey` - current row key of DataModel
        `argument` - Implementation-specific argument

    - #### processComponent

          public abstract void processComponent(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent c,
                                                Object argument)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.